## org.hibernate.testing.junit4
Class TestClassMetadata

    java.lang.Object
      org.hibernate.testing.junit4.TestClassMetadata

    public class TestClassMetadata

extends Object

Metadata about various types of callback methods on a given test class.

Constructor Summary
`TestClassMetadata(Class testClass)`

Method Summary
`void` `performAfterClassCallbacks(Object target)`
`void` `performBeforeClassCallbacks(Object target)`
`void` `performOnExpectedFailureCallback(Object target)`
`void` `performOnFailureCallback(Object target)`
`void` `validate(List<Throwable> errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestClassMetadata

    public TestClassMetadata(Class testClass)

Method Detail

### validate

    public void validate(List<Throwable> errors)

### performBeforeClassCallbacks

    public void performBeforeClassCallbacks(Object target)

### performAfterClassCallbacks

    public void performAfterClassCallbacks(Object target)

### performOnFailureCallback

    public void performOnFailureCallback(Object target)

### performOnExpectedFailureCallback

    public void performOnExpectedFailureCallback(Object target)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.